
function RK_SimpleDictionary () {
    
    this.init = function (location, name)
    {
        this._name = name;
        this._location = location;
        this._init(location, name);
    };
    
    this._init = function (location, name)
    {
        this._dict = this._loadDictFromFile();
    };

    this.getValue = function (key)
    {
        return this._dict[key];
    };    
    
    this._loadDictFromFile = function ()
    {
        var file = this._location.clone();
        file.append(this._name+'.txt');
        if (!file.exists())
            throw 'unable to find "'+this._name+'" dictionary';
        
        var dict = {};
        
        var converter = Components.classes["@mozilla.org/intl/scriptableunicodeconverter"]
                        .createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
        converter.charset = "UTF-8";
        
        try
        {
            var istream = Components.classes["@mozilla.org/network/file-input-stream;1"]
                            .createInstance(Components.interfaces.nsIFileInputStream);
            istream.init(file, -1, -1, 0);
            istream.QueryInterface(Components.interfaces.nsILineInputStream);
            
            var lineData = {}, line, a;
            while (istream.readLine(lineData)){
                line = converter.ConvertToUnicode(lineData.value);
                a = line.split('\t');
                dict[a[0]] = a[1];
            }
        }
        finally
        {
            if (istream) istream.close();
        }
    
        return dict;
    };
}
                
                
        
